<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<!-- BEGIN COPYRIGHT BLOCK
 This Program is free software; you can redistribute it and/or modify it under
 the terms of the GNU General Public License as published by the Free Software
 Foundation; version 2 of the License.

 This Program is distributed in the hope that it will be useful, but WITHOUT
 ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

 You should have received a copy of the GNU General Public License along with
 this Program; if not, write to the Free Software Foundation, Inc., 59 Temple
 Place, Suite 330, Boston, MA 02111-1307 USA.

 
 Copyright (C) 2001 Sun Microsystems, Inc. Used by permission.
 Copyright (C) 2005 Red Hat, Inc.
 All rights reserved.
  END COPYRIGHT BLOCK -->
  <title>Editing Directory Entries</title>
</head>
<body>
<h1><a name="editing"></a>Editing Entries</h1>
You can modify existing entries in
the directory using the Directory Server interface. Modify an entry
by <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/search.htm">searching
for the entry</a>, <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/search.htm#results">viewing
it</a>, and then clicking the edit button.
<p>If you have not <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/auth.htm#userauth">authenticated</a>
before
you attempt to edit an entry, or if your authentication has expired,
the
Directory Server prompts you to authenticate before continuing.
</p>
<p>You can edit:
</p>
<ul>
  <li> <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/mod.htm#people">people</a></li>
  <li> <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/mod.htm#ntpeople">NT
people</a></li>
  <li> <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/mod.htm#groups">groups</a></li>
  <li> <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/mod.htm#NTgroups">NT
groups</a></li>
  <li> <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/mod.htm#o">organizations</a></li>
  <li> <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/mod.htm#dc">domains</a></li>
  <li> <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/mod.htm#ou">organizational
units</a></li>
</ul>
<h2>
<a name="people"></a>Editing People</h2>
To edit a person's entry, do the following:
<ol>
  <li>Search for the entry using the <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/search.htm#standard">Standard
Search</a>
or <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/search.htm#advanced">Advanced
Search</a> mechanism.</li>
  <li> <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/search.htm#results">View
the entry</a>.</li>
  <li>Click the Edit Person button.</li>
  <li>If you have not authenticated before you attempt to edit an
entry, or
if
your authentication has expired, the Directory Server prompts you to <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/auth.htm#userauth">authenticate</a>
before continuing.</li>
  <li>To edit the person's entry, type the value you desire for each
field. You must supply values for the required fields. The required
fields
for a person are:</li>
  <ul type="disc">
    <li> <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#cn">Full
Name</a></li>
    <li> <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#sn">Last
Name</a></li>
  </ul>
  <li>You can provide values for the optional fields now, or edit them
later.
The optional fields for a person are:</li>
  <p> </p>
  <center>
  <table border="2">
    <tbody>
      <tr>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#givenName">First
Name</a>&nbsp;</td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#telephoneNumber">Phone&nbsp;</a></td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#mail">Email
Address</a>&nbsp;</td>
      </tr>
      <tr>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#fax">Fax</a>&nbsp;</td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#userid">User
ID&nbsp;</a></td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#pager">Pager&nbsp;</a></td>
      </tr>
      <tr>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#mobile">Mobile
Phone</a>&nbsp;</td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#businessCategory">Business
Category</a>&nbsp;</td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#title">Title&nbsp;</a></td>
      </tr>
      <tr>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#organizationalUnitName">Organizational
Unit</a>&nbsp;</td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#manager">Manager</a>&nbsp;</td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#roomNumber">Room
Number&nbsp;</a></td>
      </tr>
      <tr>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#secretary">Admin&nbsp;</a></td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#departmentNumber">Dept#&nbsp;</a></td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#employeeNumber">Emp#</a>&nbsp;</td>
      </tr>
      <tr>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#carLicense">Car
License#&nbsp;</a></td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#postalAddress">Mailing
Address&nbsp;</a></td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#description">Description</a>&nbsp;</td>
      </tr>
      <tr>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#seeAlso">See
Also&nbsp;</a></td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#labeledURI">URL&nbsp;</a></td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#userPassword">Password</a>&nbsp;</td>
      </tr>
    </tbody>
  </table>
  </center>
  <p> </p>
  <li>You may <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/mod.htm#addmanager">add
values to the Manager and Admin
fields</a> by clicking the corresponding Edit button.</li>
  <li>You may <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/mod.htm#addowner">add
values to the See Also field</a>
by clicking the corresponding Edit button.</li>
  <li>When you are done editing the fields, click Save Changes.</li>
</ol>
From this window you can also:
<ul>
  <li> <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/mod.htm#rename">Rename
an entry</a></li>
  <li> <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/mod.htm#delete">Delete
an entry</a></li>
  <li> <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/mod.htm#changepw">Change
a password</a></li>
</ul>
<h3><a name="addmanager"></a>Adding Values to the Manager and Admin
Fields</h3>
When you click the Edit button in the Manager or Admin field,
a new form that allows you to add or delete the corresponding
attribute value is displayed. To add an individual to the Manager or
Admin attribute,
do the following:
<ol>
  <li>In the text box, enter a search string to be used to locate the
entry
of
the person who is the manager or admin. Enter any of the following:</li>
  <ul type="disc">
    <li>A name. Enter a full name or a partial name. All entries that
equally
match
the search string are returned. If no such entries are found, all
entries
that contain the search string are returned. If no such entries are
found,
any entries that sound like the search string are returned.</li>
    <li>A user ID (if you are searching for user entries).</li>
    <li>A telephone number. If you enter only a partial number, any
entries
that
have telephone numbers ending in the search number are returned.</li>
    <li>An email address. Any search string containing an at (@) symbol
is
assumed
to be an email address. If an exact match cannot be found, then a
search
is performed to find all email addresses that begin with the search
string.</li>
    <li>An asterisk (*) to see all of the entries or groups currently
residing
in your directory.</li>
    <li>Any <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/search.htm#filter">LDAP
search filter</a>. Any string that
contains an equal sign (=) is considered to be a search filter.</li>
  </ul>
  <li>Click "Find and Add" to find the matching entry and add it to the
list. If any entries that you do not want to designate as manager
or admin are listed, click the box in the "Remove from list" column.
You can
also construct a search filter to match the entries you want removed
and
then click "Find and Remove."</li>
  <li>When the list of group members is complete, click Save Changes.
The currently displayed entry is now the value for the manager or admin
attribute field.</li>
</ol>
<h2>
<a name="ntpeople"></a>Editing NT People</h2>
To edit an NT person's entry, do the following:
<ol>
  <li>Search for the entry using the <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/search.htm#standard">Standard
Search</a>
or <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/search.htm#advanced">Advanced
Search</a> mechanism.</li>
  <li> <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/search.htm#results">View
the entry</a>.</li>
  <li>Click the Edit NT Person button.</li>
  <li>If you have not authenticated before you attempt to edit an
entry, or
if
your authentication has expired, the Directory Server prompts you to <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/auth.htm#userauth">authenticate</a>
before continuing.</li>
  <li>To edit the person's entry, type in the new value for each
field. You must supply values for the required fields. The required
fields
for an NT person are:</li>
  <ul type="disc">
    <li> <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#cn">Full
Name</a></li>
    <li> <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#sn">Last
Name</a></li>
    <li><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#uid">NT
User ID</a></li>
  </ul>
  <li>You can provide values for the optional fields now, or add them
later.
The optional fields for an NT person are:</li>
  <p> </p>
  <center>
  <table border="2">
    <tbody>
      <tr>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#givenName">First
Name</a>&nbsp;</td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#telephoneNumber">Phone&nbsp;</a></td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#mail">Email
Address</a>&nbsp;</td>
      </tr>
      <tr>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#fax">Fax&nbsp;</a></td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#userPassword">Directory
Server Password</a>&nbsp;</td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#pager">Pager</a>&nbsp;</td>
      </tr>
      <tr>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#mobile">Mobile
Phone</a>&nbsp;</td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#businessCategory">Business
Category</a>&nbsp;</td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#title">Title</a>&nbsp;</td>
      </tr>
      <tr>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#organizationalUnitName">Organizational
Unit</a>&nbsp;</td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#manager">Manager</a>&nbsp;</td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#roomNumber">Room
Number</a>&nbsp;</td>
      </tr>
      <tr>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#secretary">Admin&nbsp;</a></td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#departmentNumber">Dept#</a>&nbsp;</td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#employeeNumber">Emp#</a>&nbsp;</td>
      </tr>
      <tr>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#carLicnese">Car
License#</a>&nbsp;</td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#postalAddress">Mailing
Address</a>&nbsp;</td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#description">Description</a>&nbsp;</td>
      </tr>
      <tr>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#seeAlso">See
Also</a>&nbsp;</td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#labeledURI">URL</a>&nbsp;</td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#userid">User
Id</a>&nbsp;</td>
      </tr>
    </tbody>
  </table>
  </center>
  <p> </p>
  <li>You can also change the value for the <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#ntUserDeleteAccount">Delete
NT Account if Person deleted</a> option.</li>
  <li>To <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/mod.htm#addmanager">add
values to the Manager and Admin
fields</a>, click the corresponding Edit button.</li>
  <li>To <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/mod.htm#addowner">add
values to the See Also field</a>,
click the corresponding Edit button.</li>
  <li>When you are done editing the fields, click Save Changes.</li>
</ol>
From this window you can also:
<ul>
  <li> <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/mod.htm#rename">Rename
the entry</a></li>
  <li> <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/mod.htm#delete">Delete
an entry</a></li>
  <li> <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/mod.htm#changepw">Change
the password</a></li>
</ul>
<h2><a name="groups"></a>Editing Groups</h2>
To edit a group entry, do the following:
<ol>
  <li>Search for the entry using the <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/search.htm#standard">Standard
Search</a>
or <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/search.htm#advanced">Advanced
Search</a> mechanism.</li>
  <li> <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/search.htm#results">View
the entry</a>.</li>
  <li>Click the Edit Group button.</li>
  <li>If you have not authenticated before you attempt to edit an
entry, or
if
your authentication has expired, the Directory Server prompts you to <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/auth.htm#userauth">authenticate</a>
before continuing.</li>
  <li>To edit the group's entry, type the new value for each
field. You must supply values for the required field, <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#name">Name</a>.
  </li>
  <li>You can provide values for the optional fields now, or edit them
later.
The optional fields for a group are:</li>
  <p> </p>
  <center>
  <table border="2">
    <tbody>
      <tr>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#description">Description</a>&nbsp;</td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#owner">Owner</a>&nbsp;</td>
      </tr>
      <tr>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#member">Group
Members</a>&nbsp;</td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#seeAlso">See
Also</a></td>
      </tr>
    </tbody>
  </table>
  </center>
  <p> </p>
  <li>To <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/mod.htm#addowner">add
values to the See Also, Owners, and Group
Members fields</a> click the corresponding Edit button.</li>
  <li>When you are done editing the fields, click Save Changes.</li>
</ol>
From this window you can also:
<ul>
  <li> <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/mod.htm#rename">Rename
the entry</a></li>
  <li> <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/mod.htm#delete">Delete
an entry</a></li>
</ul>
<h3><a name="addowner"></a>Adding Values to the Owner, See Also, and
Group Member Fields</h3>
When you click the Edit button for Owner, See Also, or Group
Members, a new form that allows you to add or delete members is
displayed.
An owner, see also, or group member can be either an individual or a
group.
That is, if you add a group as an owner, see also, or group member,
anyone
belonging to the group becomes a member of the list. For example,
if Barbara Jensen is a member of the Marketing Managers group, and you
make
the Marketing Managers group a member of the Marketing Personnel group,
then Barbara Jensen is also a member of the Marketing Personnel group.
To add
members, owners, or see alsos, do the following:
<ol>
  <li>If you want to add user entries to the list, make sure People is
shown
in the first dialog box. If you want to add group entries to the group,
make sure Group is shown.</li>
  <li>In the second dialog box, enter a search string. Enter any of the
following:</li>
  <ul type="disc">
    <li>A name. Enter a full name or a partial name. All entries that
equally
match
the search string are returned. If no such entries are found, all
entries
that contain the search string are found. If no such entries are found,
any entries that sounds like the search string are returned.</li>
    <li>A user ID, (if you are searching for user entries).</li>
    <li>A telephone number. If you enter only a partial number, any
entries
that
have telephone numbers ending in the search number are returned.</li>
    <li>An email address. Any search string containing an at (@) symbol
is
assumed
to be an email address. If an exact match cannot be found, then a
search
is performed to find all email addresses that begin with the search
string.</li>
    <li>An asterisk (*) to see all of the entries or groups currently
residing
in your directory.</li>
    <li>Any <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/search.htm#filter">LDAP
search filter</a>. Any string that
contains an equal sign (=) is considered to be a search filter.</li>
  </ul>
  <li>Click "Find and Add" to find all the matching entries and add
them
to the list. If any entries are shown that you do not want to include
in
the list, click the box in the "Remove from list" column. You
can also construct a search filter to match the entries you want
removed
and then click "Find and Remove."</li>
  <li>When the list of group members is complete, click Save Changes.
The currently displayed entries now belong to the list.</li>
</ol>
<h2>
<a name="NTgroups"></a>Editing NT Groups</h2>
To edit an NT group entry, do the following:
<ol>
  <li>Search for the entry using the <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/search.htm#standard">Standard
Search</a>
or <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/search.htm#advanced">Advanced
Search</a> mechanism.</li>
  <li> <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/search.htm#results">View
the entry</a>.</li>
  <li>Click the Edit NT Group button.</li>
  <li>If you have not authenticated before you attempt to edit an
entry, or
if
your authentication has expired, the Directory Server prompts you to <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/auth.htm#userauth">authenticate</a>
before continuing.</li>
  <li>To edit the group's entry, type in the value for each
field. You must supply values for the required fields. The required
fields
for an NT group are:</li>
  <ul type="disc">
    <li> <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#cn">Name</a></li>
    <li> <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#ntGroupId">NT
Group Name</a></li>
  </ul>
  <li>You can provide values for the optional fields now, or add them
later.
The optional fields for an NT group are:</li>
  <p> </p>
  <center>
  <table border="2">
    <tbody>
      <tr>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#description">Description</a>&nbsp;</td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#owner">Owner</a>&nbsp;</td>
      </tr>
      <tr>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#uniqueMember">Group
Members</a>&nbsp;</td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#seeAlso">See
Also</a></td>
      </tr>
    </tbody>
  </table>
  </center>
&nbsp; <li>You can also change the value for the <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#ntGroupDeleteGroup">Delete
NT Group if Group Deleted</a> option.</li>
  <li>You can <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/mod.htm#addowner">add
values to the See Also, Owners, and Group
Members fields</a> by clicking the corresponding "Edit" button.</li>
  <li>When you are done editing, click Save Changes.</li>
</ol>
From this window you can also:
<ul>
  <li> <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/mod.htm#rename">Rename
an entry</a></li>
  <li> <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/mod.htm#delete">Delete
an entry</a></li>
</ul>
<h2>
<a name="ou"></a>Editing Organizational Units</h2>
To edit an organizational unit, do the following:
<ol>
  <li>Search for the entry using the <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/search.htm#standard">Standard
Search</a>
or <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/search.htm#advanced">Advanced
Search</a> mechanism.</li>
  <li> <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/search.htm#results">View
the entry</a>.</li>
  <li>Click the Edit Organizational Unit button.</li>
  <li>If you have not authenticated before you attempt to edit an
entry, or
if
your authentication has expired, the Directory Server prompts you to <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/auth.htm#userauth">authenticate</a>
before continuing.</li>
  <li>To edit the organizational unit's entry, type in the value for
each
field. You must supply values for the required fields.</li>
  <li>The required field for an organizational unit is <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#organizationalUnitName">Unit
Name</a>.</li>
  <li>You can provide values for the optional fields now, or add them
later.
The optional fields for an organizational unit are:</li>
  <p> </p>
  <center>
  <table border="2">
    <tbody>
      <tr>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#description">Description</a>&nbsp;</td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#telephoneNumber">Phone</a>&nbsp;</td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#businessCategory">Business
Category</a>&nbsp;</td>
      </tr>
      <tr>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#fax">Fax</a>&nbsp;</td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#l">Location</a>&nbsp;</td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#postalAddress">Mailing
Address</a>&nbsp;</td>
      </tr>
      <tr>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#seeAlso">See
Also</a>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
      </tr>
    </tbody>
  </table>
  </center>
  <p> </p>
  <li>When you are done editing, click Save Changes.</li>
</ol>
From this window you can also:
<ul>
  <li> <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/mod.htm#rename">Rename
an entry</a></li>
  <li> <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/mod.htm#delete">Delete
an entry</a></li>
</ul>
<h2>
<a name="dc"></a>Editing Domain Components</h2>
To edit a domain, do the following:
<ol>
  <li>Search for the entry using the <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/search.htm#standard">Standard
Search</a>
or <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/search.htm#advanced">Advanced
Search</a> mechanism.</li>
  <li> <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/search.htm#results">View
the entry</a>.</li>
  <li>Click the Edit Domaincomponent button.</li>
  <li>If you have not authenticated before you attempt to edit an
entry, or
if
your authentication has expired, the Directory Server prompts you to <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/auth.htm#userauth">authenticate</a>
before continuing.</li>
  <li>To edit the domain's entry, type in the value for each field. You
must
supply values for the required fields.</li>
  <li>The required field for a domain is <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#name">Domaincomponent
Name</a>.</li>
  <li>You can provide values for the optional fields now, or add them
later.
The optional fields for a domain are:</li>
  <p> </p>
  <center>
  <table border="2">
    <tbody>
      <tr>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#description">Description</a></td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#telephoneNumber">Phone</a></td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#businessCategory">Business
Category</a></td>
      </tr>
      <tr>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#fax">Fax</a></td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#l">Location</a></td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#postalAddress">Mailing
Address</a></td>
      </tr>
      <tr>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#seeAlso">See
Also</a></td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
      </tr>
    </tbody>
  </table>
  </center>
  <p> </p>
  <li>When you are done editing, click Save Changes.</li>
</ol>
From this window you can also:
<ul>
  <li> <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/mod.htm#rename">Rename
an entry</a></li>
  <li> <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/mod.htm#delete">Delete
an entry</a></li>
</ul>
<h2>
<a name="o"></a>Editing Organizations</h2>
To edit an organization entry, do the following:
<ol>
  <li>Search for the entry using the <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/search.htm#standard">Standard
Search</a>
or <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/search.htm#advanced">Advanced
Search</a> mechanism.</li>
  <li> <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/search.htm#results">View
the entry</a>.</li>
  <li>Click the Edit Organization button.</li>
  <li>If you have not authenticated before you attempt to edit an
entry, or
if
your authentication has expired, the Directory Server prompts you to <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/auth.htm#userauth">authenticate</a>
before continuing.</li>
  <li>To edit the organizational unit's entry, type in the value for
each
field. You must supply values for the required fields.</li>
  <li>The required fields for an organization is <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#organizationName">Organization
Name</a>.</li>
  <li>You may provide values for the optional fields now, or edit them
later.
The optional fields for an organization are:</li>
  <p> </p>
  <center>
  <table border="2">
    <tbody>
      <tr>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#description">Description</a>&nbsp;</td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#telephoneNumber">Phone</a>&nbsp;</td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#businessCategory">Business
Category</a>&nbsp;</td>
      </tr>
      <tr>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#fax">Fax</a>&nbsp;</td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#l">Location</a>&nbsp;</td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#postalAddress">Mailing
Address</a>&nbsp;</td>
      </tr>
      <tr>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#seeAlso">See
Also</a>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
      </tr>
    </tbody>
  </table>
  </center>
&nbsp; <li>When you are done editing, click Save Changes.</li>
</ol>
<h2><a name="rename"></a>Renaming Entries</h2>
To rename an entry, do the following:
<ol>
  <li>Search for the entry using the <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/search.htm#standard">Standard
Search</a>
or <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/search.htm#advanced">Advanced
Search</a> mechanism.</li>
  <li> <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/search.htm#results">View
the entry</a>.</li>
  <li>Click the Edit button.</li>
  <li>Enter the new common name for the entry.</li>
  <li>Click Save Changes.</li>
</ol>
Note the following rules about renaming an entry:
<ul>
  <li>You can change only the left-most value in an entry's <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/add.htm#DN">distinguished
name</a>. This effectively means you can only change the entry's name;
you cannot move the entry to another branch in the directory through
this
mechanism. For example, if you have an entry that has a DN of:</li>
  <pre>uid=tandrew, ou=Accounting, o=Example.com</pre>
you can rename only the user ID (uid) part of this entry. You cannot,
however,
move user tandrew to the Marketing subtree. To do that, you must create
a new entry for tandrew in the Marketing subtree, and then delete his
old
entry in the Accounting tree. <li>You cannot rename an organizational
unit if it has any entries
below it
in the tree. To rename a branch point in the directory tree, you must
first
delete everything below that point in the tree, and then rename the
entry.</li>
</ul>
<h2>
<a name="delete"></a>Deleting Entries</h2>
To delete an entry, do the following:
<ol>
  <li>Search for the entry using the <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/search.htm#standard">Standard
Search</a>
or <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/search.htm#advanced">Advanced
Search</a> mechanism.</li>
  <li> <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/search.htm#results">View
the entry</a>.</li>
  <li>Click the Edit button.</li>
  <li>Click the Delete button.</li>
</ol>
Note that you cannot delete an entry if it has any child entries.
Specifically,
you cannot delete an organizational unit if it has any entries below it
in the tree. To delete a branch point in the directory tree, you must
first
delete everything below that point in the tree, and then delete the
entry.
<h2><a name="changepw"></a>Changing Passwords</h2>
In the Directory Server interface, you can change your own password.
You
can also change another person's password if you are the directory
manager
or an unrestricted user with write privileges to the password
attribute.
<p>To change a password, do the following:
</p>
<ol>
  <li>Search for the entry using the <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/search.htm#standard">Standard
Search</a>
or <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/search.htm#advanced">Advanced
Search</a> mechanism.</li>
  <li> <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/search.htm#results">View
the entry</a>.</li>
  <li>Click the Edit button.</li>
  <li>Click the Change Password button.</li>
  <br>
If you are changing your own password, you must enter the old password
for the change command to succeed. (If you are authenticated as
anyone besides the current entry, you are not prompted to enter the
old password.) <li>Click the Change Password button.</li>
</ol>
</body>
</html>
